/*
 *  
 *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __PVRUSB2_BUFFER_H
#define __PVRUSB2_BUFFER_H

#include <linux/mm.h>
#include "pvrusb2.h"

int pvr_buffer_alloc(struct pvr_stream *);
void pvr_buffer_free(struct pvr_stream *);
void pvr_buffer_unlink(struct pvr_stream *);
int pvr_buffer_submit(struct pvr_stream *);
int pvr_buffer_submit_one(struct pvr_stream *, int);
int pvr_map_buffer(struct pvr_stream *, struct vm_area_struct *);
int pvr_buffer_wait(struct pvr_stream *, unsigned long);
int pvr_buffer_in(struct pvr_stream *, int);
inline void pvr_buffer_dq(struct pvr_stream *);

#endif /* __PVRUSB2_BUFFER_H */
